D4Science Infrastructure - Support #11500

Error updating GRSF service with ansible
Mar 21, 2018 12:59 PM - Luca Frosini

Status: Closed Start date: Mar 21, 2018
Priority: High Due date:

Assignee: _InfraScience Systems Engineer % Done: 100%
Category: Application Estimated time: 0.00 hour
Infrastructure: Development

Description

I'm trying to update GRSF in dev with the following command:
./run.sh smartgears-node-upgrade.yml -1 inventory/hosts.dev -1 smart_grsf_dev
and | obtain the followign ansible error:

TASK [dlsable nagios alerts for thlS host services] KAKA AR AR A A A A AR A A A I A A I A AR AR A A A A A A A A AR A A Ak Kk
* K x Kk

failed: [smart-grsf-d-d4s.d4science.org] (item=monitoring.research-infrastructures.eu) => {"item":
"monitoring.research-infrastructures.eu", "msg": "SSH Error: data could not be sent to remote hos

t \"monitoring.research-infrastructures.eu\". Make sure this host can be reached over ssh", "unrea

chable": true}

fatal: [smart-grsf-d-d4s.d4science.org]: UNREACHABLE! => {"changed": false, "msg": "All items comp

leted", "results": [{"_ansible_ignore_errors": null, "_ansible_item_result": true, "item": "monito

ring.research-infrastructures.eu", "msg": "SSH Error: data could not be sent to remote host \"moni

toring.research-infrastructures.eu\". Make sure this host can be reached over ssh", "unreachable":
true}]}

to retry, use: —--limit @/home/lucafrosini/workspace/ANSIBLE/ansible-playbooks/d4science-ghn-cl
uSter/Smartgears—node—upgrade.retryPLAY RECAP kA hkhkhkhkhkhkkhkkhhkhhhkhkhAhrhkhkhhkhrhhkhkhAhrhhdhhrhhkkhhkrhkkhkkhhrrhkhhhkhkhkxx

KA AK AR KA AR A AR AR A A A A A A AR A AR I AR AR AR AR XKk

smart-grsf-d-d4s.d4science.org : ok=1 changed=0 unreachable=1 failed=0

Related issues:
Blocks StocksAndFisherieskKB - Task #11464: Update stock endpoint for GRSF-Pub... Closed Mar 16, 2018

History

#1 - Mar 21, 2018 01:00 PM - Luca Frosini
- Blocks Task #11464: Update stock endpoint for GRSF-Publication-Service added

#2 - Mar 21, 2018 01:59 PM - Andrea Dell'Amico
- Status changed from New to Feedback

- % Done changed from 0 to 100

Use the smartgears-node.yml playbook, the other one needs a user with root access to the nagios server.

Other than the nagios management, the two playbooks should behave in the same way: all the *_upgrade_* variables have been obsoleted by the
use of maven_artifact. If an involved smartgears role does not use maven_artifact, it's buggy and have to be fixed.

#3 - Mar 21, 2018 08:16 PM - Luca Frosini
- Status changed from Feedback to Closed

It works. Thanks you.
